mod simulator;
mod kernel;
pub mod utility;

use kernel::system::System;
use simulator::machine::Machine;
use simulator::mem_cmp;

fn main() {
    let machine = Machine::_init_machine();
    let _system = System::new(machine);
}
